Bug 814683 - Lazarus' 'run' option doesn't open the console programs in KDE.
Lazarus' 'run' option doesn't open the console programs in KDE.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lazarus (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Joost van der Sluis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 08:03 EDT by Marek Paśnikowski
Modified: 2013-02-13 10:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:10:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Paśnikowski 2012-04-20 08:03:20 EDT
Description of problem:
I guess here, but I assume this option is integrated with GNOME's terminal, and not with KDE's konsole. I had seen this work before in KDE. It was when I used Sabayon Linux. There, when I want pressed the green arrow, an xterm popped up with the running program. So it is possible to integrate this option with KDE. I'd love to see this working with konsole.

How reproducible:
Always

Steps to Reproduce:
1. Install KDE
2. Open any console program project and run it with the arrow button.
3. Observe, how nothing appears.
  
Actual results:
No terminal appears.

Expected results:
Konsole, or less likely xterm with the Pascal program running in it.

Additional info:
I chose severity to be medium because this particular function is one of main features of a RAD applications, so it should work in every environment.
Comment 1 Fedora End Of Life 2013-01-16 09:08:29 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 10:10:13 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.